Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Basic desktop integration functions 
Name:    	xdg-utils
Version: 	1.0.2
Release: 	1

URL:     	http://portland.freedesktop.org/ 
Source0: 	http://portland.freedesktop.org/download/xdg-utils-%{version}%{?beta}.tgz
License: 	MIT 
Group:   	System/Base
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: 	noarch

Patch1: 	xdg-utils-1.0-mimeopen.patch
Patch2: 	xdg-utils-1.0.1-typo.patch
Patch3: 	xdg-utils-1.0.1-htmlview.patch

Requires: 	coreutils
Requires: 	desktop-file-utils
Requires: 	which


%description
The xdg-utils package is a set of simple scripts that provide basic
desktop integration functions for any Free Desktop, such as Linux.
They are intended to provide a set of defacto standards.  
This means that:
*  Third party software developers can rely on these xdg-utils
   for all of their simple integration needs.
*  Developers of desktop environments can make sure that their
   environments are well supported
*  Distribution vendors can provide custom versions of these utilities

The following scripts are provided at this time:
* xdg-desktop-menu      Install desktop menu items
* xdg-desktop-icon      Install icons to the desktop
* xdg-icon-resource     Install icon resources
* xdg-mime              Query information about file type handling and
                        install descriptions for new file types
* xdg-open              Open a file or URL in the user's preferred application
* xdg-email             Send mail using the user's preferred e-mail composer
* xdg-screensaver       Control the screensaver


%prep
%setup -q -n %{name}-%{version}%{?beta}

%patch1 -p1 -b .mimeopen
%patch2 -p1 -b .typo
%patch3 -p1 -b .htmlview


%build
%configure

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README TODO
%{_bindir}/xdg-*
%{_mandir}/man1/xdg-*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Initial release